AttributesProxy (Xerces2 Implementation)
Keywords: org.apache.xerces.util.AttributesProxy class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.util
Class AttributesProxy

    java.lang.Object
      org.apache.xerces.util.AttributesProxy

All Implemented Interfaces:
  org.xml.sax.AttributeList, org.xml.sax.Attributes, org.xml.sax.ext.Attributes2

    public final class AttributesProxy

extends java.lang.Object
implements org.xml.sax.AttributeList, org.xml.sax.ext.Attributes2

Wraps `XMLAttributes` and makes it look like `AttributeList` and `Attributes2`.

Version:
  $Id: AttributesProxy.java 449487 2006-09-24 21:11:28Z mrglavas $
Author:
  Arnaud Le Hors, IBM, Andy Clark, IBM

Constructor Summary
`AttributesProxy(org.apache.xerces.xni.XMLAttributes attributes)`

Method Summary
`org.apache.xerces.xni.XMLAttributes` | `getAttributes()`
`int` | `getIndex(java.lang.String qName)`
`int` | `getIndex(java.lang.String uri, java.lang.String localPart)`
`int` | `getLength()`
`java.lang.String` | `getLocalName(int index)`
`java.lang.String` | `getName(int i)`
`java.lang.String` | `getQName(int index)`
`java.lang.String` | `getType(int i)`
`java.lang.String` | `getType(java.lang.String name)`
`java.lang.String` | `getType(java.lang.String uri, java.lang.String localName)`
`java.lang.String` | `getURI(int index)`
`java.lang.String` | `getValue(int i)`
`java.lang.String` | `getValue(java.lang.String name)`
`java.lang.String` | `getValue(java.lang.String uri, java.lang.String localName)`
`boolean` | `isDeclared(int index)`
`boolean` | `isDeclared(java.lang.String qName)`
`boolean` | `isDeclared(java.lang.String uri, java.lang.String localName)`
`boolean` | `isSpecified(int index)`
`boolean` | `isSpecified(java.lang.String qName)`
`boolean` | `isSpecified(java.lang.String uri, java.lang.String localName)`
`void` | `setAttributes(org.apache.xerces.xni.XMLAttributes attributes)` Sets the XML attributes to be wrapped.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttributesProxy

    public AttributesProxy(org.apache.xerces.xni.XMLAttributes attributes)

Method Detail

### setAttributes

    public void setAttributes(org.apache.xerces.xni.XMLAttributes attributes)

  Sets the XML attributes to be wrapped.

### getAttributes

    public org.apache.xerces.xni.XMLAttributes getAttributes()

### getLength

    public int getLength()

  Specified by:
    `getLength` in interface `org.xml.sax.AttributeList`
  Specified by:
    `getLength` in interface `org.xml.sax.Attributes`

### getQName

    public java.lang.String getQName(int index)

  Specified by:
    `getQName` in interface `org.xml.sax.Attributes`

### getURI

    public java.lang.String getURI(int index)

  Specified by:
    `getURI` in interface `org.xml.sax.Attributes`

### getLocalName

    public java.lang.String getLocalName(int index)

  Specified by:
    `getLocalName` in interface `org.xml.sax.Attributes`

### getType

    public java.lang.String getType(int i)

  Specified by:
    `getType` in interface `org.xml.sax.AttributeList`
  Specified by:
    `getType` in interface `org.xml.sax.Attributes`

### getType

    public java.lang.String getType(java.lang.String name)

  Specified by:
    `getType` in interface `org.xml.sax.AttributeList`
  Specified by:
    `getType` in interface `org.xml.sax.Attributes`

### getType

    public java.lang.String getType(java.lang.String uri,
                                    java.lang.String localName)

  Specified by:
    `getType` in interface `org.xml.sax.Attributes`

### getValue

    public java.lang.String getValue(int i)

  Specified by:
    `getValue` in interface `org.xml.sax.AttributeList`
  Specified by:
    `getValue` in interface `org.xml.sax.Attributes`

### getValue

    public java.lang.String getValue(java.lang.String name)

  Specified by:
    `getValue` in interface `org.xml.sax.AttributeList`
  Specified by:
    `getValue` in interface `org.xml.sax.Attributes`

### getValue

    public java.lang.String getValue(java.lang.String uri,
                                     java.lang.String localName)

  Specified by:
    `getValue` in interface `org.xml.sax.Attributes`

### getIndex

    public int getIndex(java.lang.String qName)

  Specified by:
    `getIndex` in interface `org.xml.sax.Attributes`

### getIndex

    public int getIndex(java.lang.String uri,
                        java.lang.String localPart)

  Specified by:
    `getIndex` in interface `org.xml.sax.Attributes`

### isDeclared

    public boolean isDeclared(int index)

  Specified by:
    `isDeclared` in interface `org.xml.sax.ext.Attributes2`

### isDeclared

    public boolean isDeclared(java.lang.String qName)

  Specified by:
    `isDeclared` in interface `org.xml.sax.ext.Attributes2`

### isDeclared

    public boolean isDeclared(java.lang.String uri,
                              java.lang.String localName)

  Specified by:
    `isDeclared` in interface `org.xml.sax.ext.Attributes2`

### isSpecified

    public boolean isSpecified(int index)

  Specified by:
    `isSpecified` in interface `org.xml.sax.ext.Attributes2`

### isSpecified

    public boolean isSpecified(java.lang.String qName)

  Specified by:
    `isSpecified` in interface `org.xml.sax.ext.Attributes2`

### isSpecified

    public boolean isSpecified(java.lang.String uri,
                               java.lang.String localName)

  Specified by:
    `isSpecified` in interface `org.xml.sax.ext.Attributes2`

### getName

    public java.lang.String getName(int i)

  Specified by:
    `getName` in interface `org.xml.sax.AttributeList`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.